Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jivesoftware.openfire.event
Enum UserEventDispatcher.EventType

    java.lang.Object
      java.lang.Enum<UserEventDispatcher.EventType>
          org.jivesoftware.openfire.event.UserEventDispatcher.EventType

All Implemented Interfaces:
  Serializable, Comparable<UserEventDispatcher.EventType>

Enclosing class:
  UserEventDispatcher

    public static enum UserEventDispatcher.EventType

extends Enum<UserEventDispatcher.EventType>

Represents valid event types.

Enum Constant Summary
`user_created` A new user was created.
`user_deleting` A user is about to be deleted.
`user_modified` The name, email, password, or extended property of a user was changed.

Method Summary
`static UserEventDispatcher.EventType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static UserEventDispatcher.EventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### user_created

    public static final UserEventDispatcher.EventType user_created

  A new user was created.

### user_deleting

    public static final UserEventDispatcher.EventType user_deleting

  A user is about to be deleted. Note that this event is fired before a user is actually deleted. This allows for referential cleanup before the user is gone.

### user_modified

    public static final UserEventDispatcher.EventType user_modified

  The name, email, password, or extended property of a user was changed.

Method Detail

### values

    public static final UserEventDispatcher.EventType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(UserEventDispatcher.EventType c : UserEventDispatcher.EventType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static UserEventDispatcher.EventType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.4 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2003-2007 Jive Software.